package com.boman.gen.service;

import com.boman.common.core.web.domain.AjaxResult;
import com.boman.domain.TableSql;

/**
 * @author tjf
 * @Date: 2021/04/14/10:43
 */
public interface ITableSqlService {

    /**
     * 创建sql语句
     * @param tableSql
     * @return
     */
    public AjaxResult insertTableSql(TableSql tableSql);

    /**
     * 刷新建表语句
     * @param tableSql
     * @return
     */
    public AjaxResult reloadTableSql(TableSql tableSql);

    /**
     * 执行建表语句
     * @param tableSql
     * @return
     */
    public AjaxResult implementSql(TableSql tableSql);


    /**
     * 根据表id查询该表的建表语句
     * @param id
     * @return
     */
    public AjaxResult selectTableSqlByTableId(Long id);

    /**
     * 删除建表语句
     * @param ids
     * @return
     */
    public int deleteTableSqlByTableIds(Long[] ids);

}
